Bug 437544 - fix bad merge in nfs3_write_done and nfs3_commit_done [NEEDINFO]
fix bad merge in nfs3_write_done and nfs3_commit_done
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jeff Layton
Martin Jenner
: Reopened
Depends On: 321111
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-14 16:13 EDT by Jeff Layton
Modified: 2009-06-19 22:44 EDT (History)
29 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:14:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cward: needinfo? (bnagendr)


Attachments (Terms of Use)
patch -- change nfs3_write_done and nfs3_commit_done to do the right revalidations afterward (1.48 KB, patch)
2008-03-14 16:20 EDT, Jeff Layton
no flags Details | Diff

  None (edit)
Comment 1 Jeff Layton 2008-03-14 16:17:22 EDT
The patch for bug 321111 seems to have a questionable merge with nfs3_write_done
and nfs3_commit_done. It seems like nfs3_write_done should be calling the
force_wcc function and nfs3_commit_done should be calling nfs_refresh_inode.
Comment 2 Jeff Layton 2008-03-14 16:20:34 EDT
Created attachment 298078 [details]
patch -- change nfs3_write_done and nfs3_commit_done to do the right revalidations afterward
Comment 4 RHEL Product and Program Management 2008-06-19 10:25:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Don Zickus 2008-07-18 16:07:01 EDT
in kernel-2.6.18-98.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 Chris Ward 2008-11-28 02:13:11 EST
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!
Comment 9 Chris Ward 2008-12-18 05:38:21 EST
~~ Snapshot 6 is out ~~ Partners, please test and let us know if this bug has been fixed. Add PartnerVerified keyword if everything works as expected. For any new issues encountered, CLONE this bug and report the issues in the new bug.
Comment 11 errata-xmlrpc 2009-01-20 15:14:20 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.